QwtPolarMagnifier(3)

NAME
QwtPolarMagnifier -

QwtPolarMagnifier provides zooming, by magnifying in steps.

SYNOPSIS

#include <qwt_polar_magnifier.h>

Inherits QwtMagnifier.

  Public Member Functions
QwtPolarMagnifier (QwtPolarCanvas *)
virtual ~QwtPolarMagnifier ()
Destructor.
void setUnzoomKey (int key, int modifiers)
void getUnzoomKey (int &key, int &modifiers) const
QwtPolarPlot * plot ()
const QwtPolarPlot * plot () const
QwtPolarCanvas * canvas ()
const QwtPolarCanvas * canvas () const

  Protected Member Functions
virtual void rescale (double factor)
void unzoom ()
Unzoom the plot widget.
virtual void widgetKeyPressEvent (QKeyEvent *)

Detailed Description

QwtPolarMagnifier provides zooming, by magnifying in steps. Using QwtPlotMagnifier a plot can be zoomed in/out in steps using keys, the mouse wheel or moving a mouse button in vertical direction.

Together with QwtPolarPanner it is possible to implement an individual navigation of the plot canvas.

See Also:
    QwtPolarPanner, QwtPolarPlot, QwtPolarCanvas

Constructor & Destructor Documentation

  QwtPolarMagnifier::QwtPolarMagnifier (QwtPolarCanvas *canvas) [explicit]
Constructor

Parameters:
    canvas Plot canvas to be magnified

Member Function Documentation

  QwtPolarCanvas * QwtPolarMagnifier::canvas ()

Returns:
    Observed plot canvas

  const QwtPolarCanvas * QwtPolarMagnifier::canvas () const

Returns:
    Observed plot canvas

  void QwtPolarMagnifier::getUnzoomKey (int &key, int &modifiers) const

Returns:
    Key, and modifiers that are used for unzooming

Parameters:
    key Key code
    modifiers Modifiers

See Also:
    setUnzoomKey(), QwtPolarPlot::unzoom()

  QwtPolarPlot * QwtPolarMagnifier::plot ()

Returns:
    Observed plot

  const QwtPolarPlot * QwtPolarMagnifier::plot () const

Returns:
    observed plot

  void QwtPolarMagnifier::rescale (doublefactor) [protected], [virtual]
Zoom in/out the zoomed area

Parameters:
    factor A value < 1.0 zooms in, a value > 1.0 zooms out.

  void QwtPolarMagnifier::setUnzoomKey (intkey, intmodifiers)
Assign key and modifiers, that are used for unzooming The default combination is Qt::Key_Home + Qt::NoModifier.

Parameters:
    key Key code
    modifiers Modifiers

See Also:
    getUnzoomKey(), QwtPolarPlot::unzoom()

  void QwtPolarMagnifier::widgetKeyPressEvent (QKeyEvent *event) [protected], [virtual]
Handle a key press event for the observed widget.

Parameters:
    event Key event

Author

Generated automatically by Doxygen for Qwt Polar User's Guide from the source code.